For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
API StatusPartner Portal
HomeGuidesAPI ExplorerSDKsGitHubSupport
HomeGuidesAPI ExplorerSDKsGitHubSupport
  • API Concepts
    • Overview
    • Environments and URLs
    • Authentication
    • API versioning
    • Rate limiting
    • HTTP headers
    • Pagination, sorting, and filtering
  • General
  • Common
  • Accounts payable
  • Accounts receivable
  • E-invoicing
  • Payments
  • Accounting integration
  • Expense management
  • Utilities
      • GETGet mailbox domains
      • POSTCreate a mailbox domain
      • DELDelete a mailbox domain
      • POSTVerify a mailbox domain
LogoLogo
API StatusPartner Portal
UtilitiesMailbox domains

Create a mailbox domain

POST
/mailbox_domains
POST
/v1/mailbox_domains
$curl -X POST https://api.sandbox.monite.com/v1/mailbox_domains \
> -H "x-monite-version: 2024-01-31" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "domain": "domain"
>}'
1{
2 "id": "id",
3 "dns_records": {
4 "receiving_dns_records": [
5 {
6 "is_active": true,
7 "name": "name",
8 "record_purpose": "DKIM",
9 "record_type": "TXT",
10 "valid": "valid",
11 "value": "value"
12 }
13 ],
14 "sending_dns_records": [
15 {
16 "is_active": true,
17 "name": "name",
18 "record_purpose": "DKIM",
19 "record_type": "TXT",
20 "valid": "valid",
21 "value": "value"
22 }
23 ]
24 },
25 "domain": "domain",
26 "status": "status",
27 "dedicated_ip": "dedicated_ip",
28 "last_updated_at": "2024-01-15T09:30:00Z"
29}

Create domain for the partner_id

Was this page helpful?
Previous

Delete a mailbox domain

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

x-monite-versionstringRequired

Request

This endpoint expects an object.
domainstringRequiredformat: "hostname"

The domain name, such as mail.mycompany.com. Can contain only alphanumeric characters (A..Z a..z 0..9), dots (.), and hyphens (-). Each segment of the domain name must start and end with either a letter or a digit.

Response

Successful Response
idstringformat: "uuid"
Entry UUID
dns_recordsobject or map from strings to any
domainstringformat: "hostname"
The domain name.
statusstring
dedicated_ipstring
A dedicated IP address assigned to this mailbox and used to send outgoing email.
last_updated_atdatetime
The time the domain was updated for the last time

Errors

422
Post Mailbox Domains Request Unprocessable Entity Error
500
Post Mailbox Domains Request Internal Server Error